The updated version of Ultrasn0w released today brings support for iOS 5 final. Sadly, newer basebands aren’t supported, so you can only unlock via Ultrasn0w if you’ve got a compatible baseband: 01.59.00 for iPhone 4 and 04.26.08 / 05.11.07 / 05.12.01 / 05.13.04 / 06.15.00 for iPhone 3GS.

This is the definitive method to downgrade the baseband of your iPhone.
We can do the downgrade of the baseband 01.59.00 (with iPhone 4 baseband 04.11.08,4.10.01, 3.10.01, 2.10.04).

DOWNGRADE IPHONE DOWNLOAD

   
Tagged with:  

Comments are closed.

Looking for something?

Use the form below to search the site:

Still not finding what you're looking for? Drop a comment on a post or contact us so we can take care of it!